%define ekigaver ekiga_3.0.1
%define oname opal
%define ptlib_version 2.4.2

Name: libopal
Version: 3.4.2
Release: alt1
Serial: 1

Summary: Library for H323 spec

Url: http://ekiga.org
License: MPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.ekiga.org/admin/downloads/latest/sources/%ekigaver/%oname-%version.tar
Patch: %name-%version-libs.patch
Patch1: %name-%version-config.patch

# removed: libcapi20-devel 
# Automatically added by buildreq
BuildRequires: gcc-c++ libavcodec-devel libgcj-devel libgsm-devel libpt-devel libspeex-devel libtheora-devel libx264-devel


BuildPreReq: libpt-devel >= %ptlib_version
Obsoletes: libopenh323

%description
Open Phone Abstraction Library (aka OpenH323 v2)

%package devel
Summary: Development package for opal
Group: Development/Other
Requires: %name = 1:%version-%release
Requires: libpt-devel >= %ptlib_version
Obsoletes: libopenh323-devel

%description devel
Header files for development with opal.

%prep
%setup -q -n %oname-%version
%patch
%patch1

%build
%autoreconf || :
%configure

%make_build

%install
%makeinstall_std
rm -rf %buildroot%_libdir/libopal_s.a

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc mpl-1.0.htm
%_libdir/*.so.*
%_libdir/%oname-%version/
#%_libdir/pwlib/codecs/
#%_libdir/pwlib/lid/

%files devel
%_libdir/*.so
%_includedir/%oname/
%_pkgconfigdir/*.pc

%changelog
* Tue Nov 18 2008 Vitaly Lipatov <lav@altlinux.ru> 1:3.4.2-alt1
- new version 3.4.2 (with rpmrb script)
- cleanup spec

* Thu Oct 16 2008 Vitaly Lipatov <lav@altlinux.ru> 1:3.4.1-alt1
- new version 3.4.1 (with rpmrb script)

* Wed Oct 10 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.11-alt1
- new version 2.2.11 (with rpmrb script)

* Tue Sep 18 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.10-alt1
- new version 2.2.10 (with rpmrb script)

* Sun Jun 10 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.8-alt2
- fix internal requires

* Sat May 26 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.8-alt1
- new version 2.2.8 (with rpmrb script)

* Tue Mar 20 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.6-alt2
- fix requires

* Sun Mar 11 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.6-alt1
- new version 2.2.6 (with rpmrb script)

* Sat Feb 17 2007 Vitaly Lipatov <lav@altlinux.ru> 1:2.2.5-alt1
- new version (2.2.5)

* Thu Oct 12 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.2-alt0.1cvs20061011
- new snapshot

* Sun Jul 23 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060723
- new snapshot
- drop gcc patch

* Wed Jun 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060605
- new snapshot
- fix GCC4 errors

* Thu May 25 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060524
- really build from CVS 20060524

* Wed May 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060521
- new snapshot

* Tue May 16 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060515
- new snapshot

* Thu Apr 13 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060413
- new snapshot
- use make_build
- add patch for as-needed

* Tue Feb 28 2006 Vitaly Lipatov <lav@altlinux.ru> 2.3.0-alt0.1cvs20060228
- new snapshot (thanks to Yuri)

* Sat Feb 25 2006 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt0.1
- current cvs snapshot

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version
- add Obsoletes for libopenh323

* Sat Jan 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt1
- new version (release)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt0.1.cvs20060107
- new version (actually is snapshot)
- initial build for ALT Linux Sisyphus

* Wed Mar 09 2005 Johnny Strom <johnny.strom@linuxvaasa.com> 1.15.3
- Adjusted for the 1.2.1 relase of gnomemeeting.

* Mon Feb 21 2005 Peter Robinson <pbrobinson@gmail.com> 2.1.0-1.FC3
- Initial OPAL rpm
